<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/Recipes/Recipes/PluginRecipesManagerBase.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d9d/_plugin_recipes_manager_base_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">PluginRecipesManagerBase.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d1/d9d/_plugin_recipes_manager_base_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:afbfbd6908f0a9cd02bebc12e4970e1aa"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c.html#afbfbd6908f0a9cd02bebc12e4970e1aa">Ingredient</a> </td></tr>
<tr class="separator:afbfbd6908f0a9cd02bebc12e4970e1aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ace0ab7b6ee4997b6c0d4b38835adcc10"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c.html#afbfbd6908f0a9cd02bebc12e4970e1aa">Ingredient</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c.html#ace0ab7b6ee4997b6c0d4b38835adcc10">RegisterRecipe</a> (<a class="el" href="../../db/d2a/class_recipe_base.html">RecipeBase</a> recipe)</td></tr>
<tr class="separator:ace0ab7b6ee4997b6c0d4b38835adcc10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d53ad8661a554575d92da6fd552d1b1"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c.html#a6d53ad8661a554575d92da6fd552d1b1">UnregisterRecipe</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> clasname)</td></tr>
<tr class="separator:a6d53ad8661a554575d92da6fd552d1b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a591c6ae0bade3e5da383ed0778fc90ac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c.html#a591c6ae0bade3e5da383ed0778fc90ac">RegisterRecipies</a> ()</td></tr>
<tr class="memdesc:a591c6ae0bade3e5da383ed0778fc90ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Please do not delete commented recipes, they are usually commented out for a reason.  <a href="../../d1/d9d/_plugin_recipes_manager_base_8c.html#a591c6ae0bade3e5da383ed0778fc90ac">More...</a><br /></td></tr>
<tr class="separator:a591c6ae0bade3e5da383ed0778fc90ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a6a7856cca1833641e731676636b193f1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c.html#a6a7856cca1833641e731676636b193f1">FIRST</a> = 1</td></tr>
<tr class="separator:a6a7856cca1833641e731676636b193f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cb36ff0a80f238d5b987d9250d369e3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c.html#a7cb36ff0a80f238d5b987d9250d369e3">SECOND</a> = 2</td></tr>
<tr class="separator:a7cb36ff0a80f238d5b987d9250d369e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefcc093e62f2ff3c7a087ca9e017a3b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c.html#aefcc093e62f2ff3c7a087ca9e017a3b6">BOTH</a> = 3</td></tr>
<tr class="separator:aefcc093e62f2ff3c7a087ca9e017a3b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="afbfbd6908f0a9cd02bebc12e4970e1aa" name="afbfbd6908f0a9cd02bebc12e4970e1aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbfbd6908f0a9cd02bebc12e4970e1aa">&#9670;&#160;</a></span>Ingredient</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c.html#afbfbd6908f0a9cd02bebc12e4970e1aa">Ingredient</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c_source.html">PluginRecipesManagerBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ace0ab7b6ee4997b6c0d4b38835adcc10" name="ace0ab7b6ee4997b6c0d4b38835adcc10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace0ab7b6ee4997b6c0d4b38835adcc10">&#9670;&#160;</a></span>RegisterRecipe()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c.html#afbfbd6908f0a9cd02bebc12e4970e1aa">Ingredient</a> RegisterRecipe </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d2a/class_recipe_base.html">RecipeBase</a>&#160;</td>
          <td class="paramname"><em>recipe</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a591c6ae0bade3e5da383ed0778fc90ac" name="a591c6ae0bade3e5da383ed0778fc90ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a591c6ae0bade3e5da383ed0778fc90ac">&#9670;&#160;</a></span>RegisterRecipies()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RegisterRecipies </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Please do not delete commented recipes, they are usually commented out for a reason. </p>

<p class="definition">Definition at line <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c_source.html#l00014">14</a> of file <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c_source.html">PluginRecipesManagerBase.c</a>.</p>

</div>
</div>
<a id="a6d53ad8661a554575d92da6fd552d1b1" name="a6d53ad8661a554575d92da6fd552d1b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d53ad8661a554575d92da6fd552d1b1">&#9670;&#160;</a></span>UnregisterRecipe()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected void UnregisterRecipe </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>clasname</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="aefcc093e62f2ff3c7a087ca9e017a3b6" name="aefcc093e62f2ff3c7a087ca9e017a3b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefcc093e62f2ff3c7a087ca9e017a3b6">&#9670;&#160;</a></span>BOTH</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">BOTH = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c_source.html#l00002">2</a> of file <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c_source.html">PluginRecipesManagerBase.c</a>.</p>

</div>
</div>
<a id="a6a7856cca1833641e731676636b193f1" name="a6a7856cca1833641e731676636b193f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a7856cca1833641e731676636b193f1">&#9670;&#160;</a></span>FIRST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ FIRST = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c_source.html#l00000">0</a> of file <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c_source.html">PluginRecipesManagerBase.c</a>.</p>

</div>
</div>
<a id="a7cb36ff0a80f238d5b987d9250d369e3" name="a7cb36ff0a80f238d5b987d9250d369e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cb36ff0a80f238d5b987d9250d369e3">&#9670;&#160;</a></span>SECOND</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">@ SECOND = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c_source.html">PluginRecipesManagerBase.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_9c03c092f9469dd2c1a1487fb696496c.html">Recipes</a></li><li class="navelem"><a class="el" href="../../dir_1e551e3d1cfd5aa97359527957b79f54.html">Recipes</a></li><li class="navelem"><a class="el" href="../../d1/d9d/_plugin_recipes_manager_base_8c.html">PluginRecipesManagerBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
